load 'lim_data.mat';
TLength = 10;
N_Site=size(data,2)-2;
lamda = 10;

% running LIM
%make M and Y from data file
[M Y PhrIDs] = concat_by_time(data, TLength, N_Site);
%train LIM using M and Y
[X] = train_lim(M,Y,TLength,N_Site, lamda);
%reshape M into so that each row corresponds to the influence function of
%each node
Influence = reshape(X,N_Site,TLength);

%plot the average influence function
figure,
plot(mean(Influence));
title('average influence function');

Test_phrID = 50;%test plot for phrase i change this from i=1 to 1000 to see other phrase

%generate test plot
test_rows = PhrIDs == Test_phrID;
Y_true = Y(test_rows);
Y_predict = M(test_rows,:)*X;
figure,
plot(Y_true,'b');
hold on
plot(Y_predict,'r--');
legend('True','LIM');
title(phrname{Test_phrID});
